Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.eci.repository.helper
Class XMLEntityInfo

    java.lang.Object
      |
      +--com.bea.eci.repository.helper.XMLEntityInfo

public final class XMLEntityInfo
extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable

A representation of an entity (`RepositoryVersionedObject` or one of its subclasses, specifically `TextDocument`) for clients. This class only provides a representation of the entity and does not affect the data stored in the repository (i.e. creating a new `XMLEntityInfo` object does not result in a new object being created in the repository).

Objects of this class override the `boolean equals(Object)` and implement the `comparable` interface. Homogeneous collections containing objects of this class may, therefore, be searched and sorted using the `Collection.contains(Object), List.indexOf(Object), Collections.sort(List)` methods.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`XMLEntityInfo(int type, java.lang.String name, java.lang.String desc, java.lang.String notes)` Create a new XMLEntityInfo object representing a repository entity.
`XMLEntityInfo(int type, java.lang.String name, java.lang.String desc, java.lang.String notes, byte[] content)` Create a new XMLEntityInfo object representing a repository object.
`XMLEntityInfo(int type, java.lang.String name, java.lang.String desc, java.lang.String notes, java.sql.Timestamp createdOn, java.sql.Timestamp lastModifiedOn)` Create a new XMLEntityInfo object representing a repository object.
`XMLEntityInfo(int type, java.lang.String name, java.lang.String desc, java.lang.String notes, java.sql.Timestamp createdOn, java.sql.Timestamp lastModifiedOn, java.lang.String content)` Create a new XMLEntityInfo object representing a repository object.

Method Summary
`int` | `compareTo(java.lang.Object obj)` Determines if this XMLEntityInfo object is equal, less than, or greater than the passed in XMLEntityInfo object.
`boolean` | `equals(java.lang.Object obj)` Determines if two RepositoryFolderInfo objects are equal.
`byte[]` | `getContent()` Get the entity's content as an array of bytes.
`java.lang.String` | `getContentAsString()` Get the entity's content as a string using the default encoding "UTF-8".
`java.lang.String` | `getContentAsString(java.lang.String encoding)` Get the entity's content as a string using specified encoding.
`java.sql.Timestamp` | `getCreatedOn()` Get when the entity was created.
`java.lang.String` | `getDescription()` Get the description of the repository object.
`java.sql.Timestamp` | `getLastModifiedOn()` Get when the entity was last modified.
`java.lang.String` | `getName()` Get the description of the repository object.
`java.lang.String` | `getNotes()` Get the notes about the entity.
`int` | `getType()` Get the description of the repository object.
`java.lang.String` | `toString()` Returns the name of the entity represented by this object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLEntityInfo

    public XMLEntityInfo(int type,
                         java.lang.String name,
                         java.lang.String desc,
                         java.lang.String notes)

  Create a new XMLEntityInfo object representing a repository entity.

  Parameters:
    `type` - a `int` containing the type of the entity's content as defined in `com.bea.eci.repository.RepositoryTypes`
    `name` - a `String` containing the name of the entity, which must be unique among all `TextDocument` objects in the repository.
    `desc` - a `String` containing an optional description of the entity, which may be `null`.
    `notes` - a `String` containing optional notes about the entity, which may be `null`.

### XMLEntityInfo

    public XMLEntityInfo(int type,
                         java.lang.String name,
                         java.lang.String desc,
                         java.lang.String notes,
                         java.sql.Timestamp createdOn,
                         java.sql.Timestamp lastModifiedOn)

  Create a new XMLEntityInfo object representing a repository object.

  Parameters:
    `type` - a `int` containing the type of the entity's content as defined in `com.bea.eci.repository.RepositoryTypes`
    `name` - a `String` containing the name of the entity, which must be unique among all `TextDocument` objects in the repository.
    `desc` - a `String` containing an optional description of the entity, which may be `null`.
    `notes` - a `String` containing optional notes about the entity, which may be `null`.
    `createdOn` - a `java.sql.Timestamp` object containing a time stamp of when the entity was created.
    `lastModifiedOn` - a `java.sql.Timestamp` object containing a time stamp of when the entity was last modified.

### XMLEntityInfo

    public XMLEntityInfo(int type,
                         java.lang.String name,
                         java.lang.String desc,
                         java.lang.String notes,
                         java.sql.Timestamp createdOn,
                         java.sql.Timestamp lastModifiedOn,
                         java.lang.String content)

  Create a new XMLEntityInfo object representing a repository object.

  Parameters:
    `type` - a `int` containing the type of the entity's content as defined in `com.bea.eci.repository.RepositoryTypes`
    `name` - a `String` containing the name of the entity, which must be unique among all `TextDocument` objects in the repository.
    `desc` - a `String` containing an optional description of the entity, which may be `null`.
    `notes` - a `String` containing optional notes about the entity, which may be `null`.
    `createdOn` - a `java.sql.Timestamp` object containing a time stamp of when the entity was created.
    `lastModifiedOn` - a `java.sql.Timestamp` object
    `content` - a `String` containing the entity's content.

### XMLEntityInfo

    public XMLEntityInfo(int type,
                         java.lang.String name,
                         java.lang.String desc,
                         java.lang.String notes,
                         byte[] content)

  Create a new XMLEntityInfo object representing a repository object.

  Parameters:
    `type` - a `int` containing the type of the entity's content as defined in `com.bea.eci.repository.RepositoryTypes`
    `name` - a `String` containing the name of the entity, which must be unique among all `TextDocument` objects in the repository.
    `desc` - a `String` containing an optional description of the entity, which may be `null`.
    `notes` - a `String` containing optional notes about the entity, which may be `null`.
    `content` - a `byte` array containing the entity's content.

Method Detail

### getType

    public int getType()

  Get the description of the repository object.

  Returns:
    an `int` representing the type of the entity's content. Values are defined in `com.bea.eci.repository.helper.Types`.

### getName

    public java.lang.String getName()

  Get the description of the repository object.

  Returns:
    a `String` containing the name of the entity.

### getDescription

    public java.lang.String getDescription()

  Get the description of the repository object.

  Returns:
    a `String` containing the description of the entity.

### getNotes

    public java.lang.String getNotes()

  Get the notes about the entity.

  Returns:
    a `String` containing the notes associated with the entity.

### getCreatedOn

    public java.sql.Timestamp getCreatedOn()

  Get when the entity was created.

  Returns:
    a `javasql.Timestamp` containing the time stamp of when the entity was created.

### getLastModifiedOn

    public java.sql.Timestamp getLastModifiedOn()

  Get when the entity was last modified.

  Returns:
    a `javasql.Timestamp` containing the time stamp of when the entity was last updated.

### getContent

    public byte[] getContent()

  Get the entity's content as an array of bytes.

  Returns:
    a `byte` array containing the entity's content.

### getContentAsString

    public java.lang.String getContentAsString()

  Get the entity's content as a string using the default encoding "UTF-8".

  Returns:
    a `String` containing the entity's content.

### getContentAsString

    public java.lang.String getContentAsString(java.lang.String encoding)
                                        throws java.io.UnsupportedEncodingException

  Get the entity's content as a string using specified encoding.

  Parameters:
    `encoding` - the specified encoding for retrieving the data.
  Returns:
    a `String` containing the entity's content.
  Throws:
    UnsupportedEncodingException -

### toString

    public java.lang.String toString()

  Returns the name of the entity represented by this object.

  Returns:
    a `String` containing the name of the entity.
  Overrides:
    toString in class java.lang.Object

### equals

    public boolean equals(java.lang.Object obj)

  Determines if two RepositoryFolderInfo objects are equal. The objects are compared by the following fileds: type, name, major version, and minor version.

  Parameters:
    `obj` - the RepositoryFolderInfo object being compared to this one.
  Returns:
    `true` if the objects are the same, `false` if they are not.
  Overrides:
    equals in class java.lang.Object

### compareTo

    public int compareTo(java.lang.Object obj)

  Determines if this XMLEntityInfo object is equal, less than, or greater than the passed in XMLEntityInfo object. Objects are compared on four fileds: type, name, major version, and minor version, in that order.
  Specified by:
    compareTo in interface java.lang.Comparable

  Parameters:
    `obj` - the XMLEntityInfo object that this XMLEntityInfo object is compared to.
  Returns:
    less than zero if this object is less than the passed in object, zero if this object and the passed in object are the same, greater than zero if this object is greater than the passed in object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)